from unittest import TestSuite, makeSuite
from Products.CMFMailIn.MailMessage import MailMessage
from base import Base

class TestMailMessage(Base):

    def test_new(self):
        mm = MailMessage('test')
        assert mm.getId() == 'test'
        assert not mm.Title()
    
    def test_new2(self):
        mm = MailMessage('new',
                 title='title',
                 subject='subject subject',
                 date='01/01/2002',
                 to='fred.bloggs.com',
                 sender='john@smith.com',
                 replyto='john@smith.com',
                 body='Hello Fred, how are you? - John',
                 headers='some headers here',
                  )
        assert mm.Title() == 'title'
        assert mm.Subject() == 'subject subject', mm.Subject()
        assert mm.Date() == '01/01/2002'
        assert mm.To() == 'fred.bloggs.com'
        assert mm.Sender() == 'john@smith.com'
        assert mm.ReplyTo() == 'john@smith.com'
        assert mm.Body() == 'Hello Fred, how are you? - John'
        assert mm.Headers() == 'some headers here'


    def test_new_withattachments(self):
        mm = MailMessage('test', attachments={'attach1':'attach','attach2':'attach'})
        assert mm.getId() == 'test'
        assert 'attach1' in mm.Attachments()
        assert 'attach2' in mm.Attachments()
        assert not mm.Title()

def test_suite():
    return TestSuite((
        makeSuite( TestMailMessage ),
        ))

if __name__ == '__main__':
    main(defaultTest='test_suite')
